Bug 1468540 - Windows guest's storage/display can't be updated to virtio/qxl driver normmaly if import windows guest from kvm source at rhv4.1
Windows guest's storage/display can't be updated to virtio/qxl driver normmal...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.4
x86_64 Unspecified
high Severity high
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
V2V
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-07 07:20 EDT by mxie@redhat.com
Modified: 2017-08-22 04:45 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm,log (950.28 KB, text/plain)
2017-07-07 07:20 EDT, mxie@redhat.com
no flags Details
windows-import-kvm-1.png (47.67 KB, image/png)
2017-07-07 07:20 EDT, mxie@redhat.com
no flags Details
windows-import-kvm-2.png (73.54 KB, image/png)
2017-07-07 07:21 EDT, mxie@redhat.com
no flags Details
import.log (28.18 KB, text/plain)
2017-07-07 21:35 EDT, mxie@redhat.com
no flags Details

  None (edit)
Description mxie@redhat.com 2017-07-07 07:20:07 EDT
Created attachment 1295260 [details]
vdsm,log

Description of problem:
Windows guest's storage/display can't be updated to virtio/qxl driver normmaly if import windows guest from kvm source at rhv4.1

Version-Release number of selected component (if applicable):
rhv:4.1.3-0.1.el7
vdsm-4.19.20-1.el7ev.x86_64
virt-v2v-1.36.3-6.el7.x86_64
libguestfs-1.36.3-6.el7.x86_64
libvirt-client-3.2.0-14.el7.x86_64
qemu-kvm-rhev-2.9.0-14.el7.x86_64
libguestfs-winsupport-7.2-2.el7.x86_64
virtio-win-1.9.1-0.el7.noarch.rpm

How reproducible:
100%

Steps to Reproduce:
1.Log in rhv and import guest from kvm
Open virtual machine option at rhv4.1 -> click import button -> choose source as vmware->input URL:qemu+tcp://ip/system, username/password->Load guests successfully-> select guest "win7" to import


2.After finishing import and conversion, power on the guest
2.1 If original guest's disk is IDE/SATA.guest can't boot into os after v2v conversion due to disk can't be updated to virtio,pls refer to screenshot"windows-import-kvm-1"
2.2 If original guest's disk is virtio, will find display adapter is not updated to driver qxl after v2v conversion , pls refer to screenshot"windows-import-kvm-2"
2.3 For network part, network can't be update to virtio due to bug1324723 - Windows guest which is imported from vmware has no net virtio driver after virt-v2v conversion on rhevm


Actula results:
As above description

Expected results:
Windows guest's storage/display can be updated to virtio/qxl driver normally if import windows guest from kvm source at rhv4.1 successfully


Additional info:
1.Windows guest's storage/display can be updated to virtio/qxl driver normally if import windows guest from vmware source at rhv4.1
2.Windows guest's storage/display can be updated to virtio/qxl driver normally if import windows guest from xen source at rhv4.1
Comment 2 mxie@redhat.com 2017-07-07 07:20 EDT
Created attachment 1295262 [details]
windows-import-kvm-1.png
Comment 3 mxie@redhat.com 2017-07-07 07:21 EDT
Created attachment 1295263 [details]
windows-import-kvm-2.png
Comment 4 Richard W.M. Jones 2017-07-07 08:01:57 EDT
Can you grab the virt-v2v log file from
/var/log/vdsm/import
Comment 5 mxie@redhat.com 2017-07-07 21:35 EDT
Created attachment 1295424 [details]
import.log
Comment 6 Richard W.M. Jones 2017-07-08 02:44:18 EDT
Unfortunately the log file is incomplete.  I'm not even sure what
it's a log file of - it doesn't appear to be from virt-v2v at all.

If this is the import file from /var/log/vdsm/import/* then
it may be that vdsm is not collecting virt-v2v logs properly
(ie. with -v -x and without omitting any output).
Comment 7 Tomáš Golembiovský 2017-08-22 04:45:38 EDT
This is not a virt-v2v issue. For importing from KVM sources we have our own
tool called kvm2ovirt. It is rather crude tool that basically only copies the
disks. It does not alter the guest in anyway.

For KVM source we expect that the VirtIO drivers are already installed in the
guest (bug 1362186). We don't install drivers from ISO like virt-v2v.

Note You need to log in before you can comment on or make changes to this bug.